Metadata revisions for http-download-0.1.0.0

Package maintainers and Hackage trustees are allowed to edit certain bits of package metadata after a release, without uploading a new tarball. Note that the tarball itself is never changed, just the metadata that is stored separately. For more information about metadata revisions, please refer to the Hackage Metadata Revisions FAQ.

No. Time User Changes
-r4 Fri Jul 12 17:30:24 UTC 2019 borsboom
  • Changed the library component's library dependency on 'base64-bytestring' from

    (>=1.0.0.1 && <1.1) || (>=1.0.0.2 && <1.1)
    to
    >=1.0.0.1

  • Changed the library component's library dependency on 'bytestring' from

    >=0.10.8.2 && <0.11
    to
    >=0.10.8.2

  • Changed the library component's library dependency on 'conduit' from

    (>=1.3.0.3 && <1.4) || (>=1.3.1 && <1.4) || (>=1.3.1.1 && <1.4)
    to
    >=1.3.0.3

  • Changed the library component's library dependency on 'conduit-extra' from

    (>=1.3.0 && <1.4) || (>=1.3.1.1 && <1.4)
    to
    >=1.3.0

  • Changed the library component's library dependency on 'cryptonite' from

    >=0.25 && <0.27
    to
    >=0.25

  • Changed the library component's library dependency on 'cryptonite-conduit' from

    >=0.2.2 && <0.3
    to
    >=0.2.2

  • Changed the library component's library dependency on 'directory' from

    (>=1.3.0.2 && <1.4) || (>=1.3.1.5 && <1.4) || (>=1.3.3.0 && <1.4)
    to
    >=1.3.0.2

  • Changed the library component's library dependency on 'exceptions' from

    (>=0.8.3 && <0.9) || (>=0.10.0 && <0.11) || (>=0.10.2 && <0.11)
    to
    >=0.8.3

  • Changed the library component's library dependency on 'filepath' from

    (>=1.4.1.2 && <1.5) || (>=1.4.2 && <1.5) || (>=1.4.2.1 && <1.5)
    to
    >=1.4.1.2

  • Changed the library component's library dependency on 'http-client' from

    >=0.5.13.1 && <0.7
    to
    >=0.5.13.1

  • Changed the library component's library dependency on 'http-conduit' from

    (>=2.3.2 && <2.4) || (>=2.3.7.1 && <2.4)
    to
    >=2.3.2

  • Changed the library component's library dependency on 'http-types' from

    (>=0.12.1 && <0.13) || (>=0.12.2 && <0.13) || (>=0.12.3 && <0.13)
    to
    >=0.12.1

  • Changed the library component's library dependency on 'memory' from

    (>=0.14.16 && <0.15) || (>=0.14.18 && <0.15)
    to
    >=0.14.16

  • Changed the library component's library dependency on 'path' from

    >=0.6.1 && <0.7
    to
    >=0.6.1

  • Changed the library component's library dependency on 'path-io' from

    (>=1.3.3 && <1.4) || (>=1.4.2 && <1.5)
    to
    >=1.3.3

  • Changed the library component's library dependency on 'retry' from

    (>=0.7.6.3 && <0.8) || (>=0.7.7.0 && <0.8) || (>=0.8.0.1 && <0.9)
    to
    >=0.7.6.3

  • Changed the library component's library dependency on 'rio' from

    >=0.1.9.2 && <0.2
    to
    >=0.1.9.2

  • Changed the library component's library dependency on 'rio-prettyprint' from

    >=0.1.0.0 && <0.2
    to
    >=0.1.0.0

  • Changed the test suite 'spec' component's library dependency on 'cryptonite' from

    >=0.25 && <0.27
    to
    >=0.25

  • Changed the test suite 'spec' component's library dependency on 'hspec' from

    (>=2.4.8 && <2.5) || (>=2.5.5 && <2.6) || (>=2.7.1 && <2.8)
    to
    >=2.4.8

  • Changed the test suite 'spec' component's library dependency on 'hspec-discover' from

    (>=2.4.8 && <2.5) || (>=2.5.5 && <2.6) || (>=2.7.1 && <2.8)
    to
    >=2.4.8

  • Changed the test suite 'spec' component's library dependency on 'http-client' from

    >=0.5.13.1 && <0.7
    to
    >=0.5.13.1

  • Changed the test suite 'spec' component's library dependency on 'path' from

    >=0.6.1 && <0.7
    to
    >=0.6.1

  • Changed the test suite 'spec' component's library dependency on 'path-io' from

    (>=1.3.3 && <1.4) || (>=1.4.2 && <1.5)
    to
    >=1.3.3

  • Changed the test suite 'spec' component's library dependency on 'retry' from

    (>=0.7.6.3 && <0.8) || (>=0.7.7.0 && <0.8) || (>=0.8.0.1 && <0.9)
    to
    >=0.7.6.3

  • Changed the test suite 'spec' component's library dependency on 'rio' from

    >=0.1.9.2 && <0.2
    to
    >=0.1.9.2

  • Changed the test suite 'spec' component's library dependency on 'rio-prettyprint' from

    >=0.1.0.0 && <0.2
    to
    >=0.1.0.0

-r3 Mon Jun 24 19:41:54 UTC 2019 borsboom
  • Changed the library component's library dependency on 'cryptonite' from

    ==0.25.*
    to
    >=0.25 && <0.27

  • Changed the test suite 'spec' component's library dependency on 'cryptonite' from

    ==0.25.*
    to
    >=0.25 && <0.27

-r2 Fri Jun 14 12:22:41 UTC 2019 borsboom
  • Changed the library component's library dependency on 'http-client' from

    (>=0.5.13.1 && <0.6) || (>=0.5.14 && <0.6)
    to
    >=0.5.13.1 && <0.7

  • Changed the test suite 'spec' component's library dependency on 'http-client' from

    (>=0.5.13.1 && <0.6) || (>=0.5.14 && <0.6)
    to
    >=0.5.13.1 && <0.7

-r1 Sat Jun 8 21:41:42 UTC 2019 borsboom
  • Changed the library component's library dependency on 'base64-bytestring' from

    -any
    to
    (>=1.0.0.1 && <1.1) || (>=1.0.0.2 && <1.1)

  • Changed the library component's library dependency on 'bytestring' from

    -any
    to
    >=0.10.8.2 && <0.11

  • Changed the library component's library dependency on 'conduit' from

    -any
    to
    (>=1.3.0.3 && <1.4) || (>=1.3.1 && <1.4) || (>=1.3.1.1 && <1.4)

  • Changed the library component's library dependency on 'conduit-extra' from

    -any
    to
    (>=1.3.0 && <1.4) || (>=1.3.1.1 && <1.4)

  • Changed the library component's library dependency on 'cryptonite' from

    -any
    to
    ==0.25.*

  • Changed the library component's library dependency on 'cryptonite-conduit' from

    -any
    to
    >=0.2.2 && <0.3

  • Changed the library component's library dependency on 'directory' from

    -any
    to
    (>=1.3.0.2 && <1.4) || (>=1.3.1.5 && <1.4) || (>=1.3.3.0 && <1.4)

  • Changed the library component's library dependency on 'exceptions' from

    -any
    to
    (>=0.8.3 && <0.9) || (>=0.10.0 && <0.11) || (>=0.10.2 && <0.11)

  • Changed the library component's library dependency on 'filepath' from

    -any
    to
    (>=1.4.1.2 && <1.5) || (>=1.4.2 && <1.5) || (>=1.4.2.1 && <1.5)

  • Changed the library component's library dependency on 'http-client' from

    -any
    to
    (>=0.5.13.1 && <0.6) || (>=0.5.14 && <0.6)

  • Changed the library component's library dependency on 'http-conduit' from

    -any
    to
    (>=2.3.2 && <2.4) || (>=2.3.7.1 && <2.4)

  • Changed the library component's library dependency on 'http-types' from

    -any
    to
    (>=0.12.1 && <0.13) || (>=0.12.2 && <0.13) || (>=0.12.3 && <0.13)

  • Changed the library component's library dependency on 'memory' from

    -any
    to
    (>=0.14.16 && <0.15) || (>=0.14.18 && <0.15)

  • Changed the library component's library dependency on 'path' from

    -any
    to
    >=0.6.1 && <0.7

  • Changed the library component's library dependency on 'path-io' from

    -any
    to
    (>=1.3.3 && <1.4) || (>=1.4.2 && <1.5)

  • Changed the library component's library dependency on 'retry' from

    -any
    to
    (>=0.7.6.3 && <0.8) || (>=0.7.7.0 && <0.8) || (>=0.8.0.1 && <0.9)

  • Changed the library component's library dependency on 'rio' from

    -any
    to
    >=0.1.9.2 && <0.2

  • Changed the library component's library dependency on 'rio-prettyprint' from

    -any
    to
    >=0.1.0.0 && <0.2

  • Changed the test suite 'spec' component's library dependency on 'cryptonite' from

    -any
    to
    ==0.25.*

  • Changed the test suite 'spec' component's library dependency on 'hspec' from

    -any
    to
    (>=2.4.8 && <2.5) || (>=2.5.5 && <2.6) || (>=2.7.1 && <2.8)

  • Changed the test suite 'spec' component's library dependency on 'hspec-discover' from

    -any
    to
    (>=2.4.8 && <2.5) || (>=2.5.5 && <2.6) || (>=2.7.1 && <2.8)

  • Changed the test suite 'spec' component's library dependency on 'http-client' from

    -any
    to
    (>=0.5.13.1 && <0.6) || (>=0.5.14 && <0.6)

  • Changed the test suite 'spec' component's library dependency on 'path' from

    -any
    to
    >=0.6.1 && <0.7

  • Changed the test suite 'spec' component's library dependency on 'path-io' from

    -any
    to
    (>=1.3.3 && <1.4) || (>=1.4.2 && <1.5)

  • Changed the test suite 'spec' component's library dependency on 'retry' from

    -any
    to
    (>=0.7.6.3 && <0.8) || (>=0.7.7.0 && <0.8) || (>=0.8.0.1 && <0.9)

  • Changed the test suite 'spec' component's library dependency on 'rio' from

    -any
    to
    >=0.1.9.2 && <0.2

  • Changed the test suite 'spec' component's library dependency on 'rio-prettyprint' from

    -any
    to
    >=0.1.0.0 && <0.2

-r0 Sat Jun 8 21:40:44 UTC 2019 borsboom